[問題]Mysql4升級至5使否會造成phpbb3.0.5錯誤?

Server
架站之套件或軟體等的問題討論!

版主: 版主管理群

主題已鎖定
頭像
oscerropper
星球公民
星球公民
文章: 197
註冊時間: 2004-12-21 17:56
來自: 興趣的黑洞

[問題]Mysql4升級至5使否會造成phpbb3.0.5錯誤?

文章 oscerropper »

as title

由於我另外要架設其他網站
目前使用mysql 4.1.22-standard,不過需求要mysql 5版本
想升級,但是怕會有問題?
請問純粹升級mysql 4 to 5的話,會有問題嘛?

謝謝
●架設主機作業系統:Unix
●您的上網方式:虛擬主機。
●您安裝的程式:
Apache version 2.0.63
MySQL version 45.0.92-community
PHP version 5.2.14
Perl version 5.8.8
●您的 phpBB2 版本:phpBB 3.0.8。

頭像
心靈捕手
默默耕耘的老師
默默耕耘的老師
文章: 8423
註冊時間: 2004-04-30 01:54
來自: Taiwan

Re: [問題]Mysql4升級至5使否會造成phpbb3.0.5錯誤?

文章 心靈捕手 »

oscerropper 寫:as title

由於我另外要架設其他網站
目前使用mysql 4.1.22-standard,不過需求要mysql 5版本
想升級,但是怕會有問題?
請問純粹升級mysql 4 to 5的話,會有問題嘛?

謝謝
安裝論壇後, 必須做資料表的修正工作.

參考連結:
http://phpbb-tw.net/phpbb/viewtopic.php?f=176&t=50045
施比受有福,歡迎來信賜教,謝謝 & 再見!
祝福您 好運 ^_^
歡迎加入★★心靈捕手★★ :: 討論區!!
http://wang5555.hopto.org/phpBB3/
p.s. 奉老婆之命:在晚上十一點前,得關機睡覺!!!

頭像
oscerropper
星球公民
星球公民
文章: 197
註冊時間: 2004-12-21 17:56
來自: 興趣的黑洞

Re: [問題]Mysql4升級至5使否會造成phpbb3.0.5錯誤?

文章 oscerropper »

Hi 心靈捕手

另外一個問題,由於我是用cpanel內的php組態來選擇php4跟5的轉換,我現在預設的4.1.22版本使用都正常,不過我轉到5後,我只要登出論壇,再來嘗試登入就無法登入論壇,只要不登出,發表文章跟瀏覽版面都正常,轉回php 4話就沒問題。請問有任何解決方法嘛?

我是從phpBB2升級至phpBB3.05,升級有一段時間,原本就想將php4改成php5,結果一直有那個問題 ~_~
●架設主機作業系統:Unix
●您的上網方式:虛擬主機。
●您安裝的程式:
Apache version 2.0.63
MySQL version 45.0.92-community
PHP version 5.2.14
Perl version 5.8.8
●您的 phpBB2 版本:phpBB 3.0.8。

頭像
心靈捕手
默默耕耘的老師
默默耕耘的老師
文章: 8423
註冊時間: 2004-04-30 01:54
來自: Taiwan

Re: [問題]Mysql4升級至5使否會造成phpbb3.0.5錯誤?

文章 心靈捕手 »

oscerropper 寫:Hi 心靈捕手

另外一個問題,由於我是用cpanel內的php組態來選擇php4跟5的轉換,我現在預設的4.1.22版本使用都正常,不過我轉到5後,我只要登出論壇,再來嘗試登入就無法登入論壇,只要不登出,發表文章跟瀏覽版面都正常,轉回php 4話就沒問題。請問有任何解決方法嘛?

我是從phpBB2升級至phpBB3.05,升級有一段時間,原本就想將php4改成php5,結果一直有那個問題 ~_~
很抱歉! 實在是看不懂您的 "另外一個問題".
施比受有福,歡迎來信賜教,謝謝 & 再見!
祝福您 好運 ^_^
歡迎加入★★心靈捕手★★ :: 討論區!!
http://wang5555.hopto.org/phpBB3/
p.s. 奉老婆之命:在晚上十一點前,得關機睡覺!!!

頭像
oscerropper
星球公民
星球公民
文章: 197
註冊時間: 2004-12-21 17:56
來自: 興趣的黑洞

Re: [問題]Mysql4升級至5使否會造成phpbb3.0.5錯誤?

文章 oscerropper »

Hi 心靈捕手

我的意思是說,目前我使用的虛擬主機商提供的php預設為 php4,虛擬主機使用者後台可以轉換 php5
我只要使用 php5,phpbb就無法使用,回覆文章時會出現「找不到指定主題」,或是,只要使用到帳號密碼確認的頁面,都無法登錄,確認後帳號密碼送出後還是回到輸入帳號密碼的頁面

不管是重新安裝時的畫面(輸入資料庫帳號、密碼、字串那一個頁面),或是在phpbb都一樣

這個問題是不是虛擬主機商的問題成分較大?php5目前我無法使用,一直都用php4來run phpBB
●架設主機作業系統:Unix
●您的上網方式:虛擬主機。
●您安裝的程式:
Apache version 2.0.63
MySQL version 45.0.92-community
PHP version 5.2.14
Perl version 5.8.8
●您的 phpBB2 版本:phpBB 3.0.8。

頭像
心靈捕手
默默耕耘的老師
默默耕耘的老師
文章: 8423
註冊時間: 2004-04-30 01:54
來自: Taiwan

Re: [問題]Mysql4升級至5使否會造成phpbb3.0.5錯誤?

文章 心靈捕手 »

oscerropper 寫:Hi 心靈捕手

我的意思是說,目前我使用的虛擬主機商提供的php預設為 php4,虛擬主機使用者後台可以轉換 php5
我只要使用 php5,phpbb就無法使用,回覆文章時會出現「找不到指定主題」,或是,只要使用到帳號密碼確認的頁面,都無法登錄,確認後帳號密碼送出後還是回到輸入帳號密碼的頁面

不管是重新安裝時的畫面(輸入資料庫帳號、密碼、字串那一個頁面),或是在phpbb都一樣

這個問題是不是虛擬主機商的問題成分較大?php5目前我無法使用,一直都用php4來run phpBB
我以為:
此問題, 與轉換 PHP 5 無關; 而與升級 MySQL 5 有關.

參考連結:
http://218.161.28.134/phpBB3/viewtopic.php?f=36&t=24400
施比受有福,歡迎來信賜教,謝謝 & 再見!
祝福您 好運 ^_^
歡迎加入★★心靈捕手★★ :: 討論區!!
http://wang5555.hopto.org/phpBB3/
p.s. 奉老婆之命:在晚上十一點前,得關機睡覺!!!

頭像
oscerropper
星球公民
星球公民
文章: 197
註冊時間: 2004-12-21 17:56
來自: 興趣的黑洞

Re: [問題]Mysql4升級至5使否會造成phpbb3.0.5錯誤?

文章 oscerropper »

心靈捕手 寫:
oscerropper 寫:Hi 心靈捕手

我的意思是說,目前我使用的虛擬主機商提供的php預設為 php4,虛擬主機使用者後台可以轉換 php5
我只要使用 php5,phpbb就無法使用,回覆文章時會出現「找不到指定主題」,或是,只要使用到帳號密碼確認的頁面,都無法登錄,確認後帳號密碼送出後還是回到輸入帳號密碼的頁面

不管是重新安裝時的畫面(輸入資料庫帳號、密碼、字串那一個頁面),或是在phpbb都一樣

這個問題是不是虛擬主機商的問題成分較大?php5目前我無法使用,一直都用php4來run phpBB
我以為:
此問題, 與轉換 PHP 5 無關; 而與升級 MySQL 5 有關.

參考連結:
http://218.161.28.134/phpBB3/viewtopic.php?f=36&t=24400
意思就是要先從mysql5升級摟?
php5不要跟mysql4先做搭配?
●架設主機作業系統:Unix
●您的上網方式:虛擬主機。
●您安裝的程式:
Apache version 2.0.63
MySQL version 45.0.92-community
PHP version 5.2.14
Perl version 5.8.8
●您的 phpBB2 版本:phpBB 3.0.8。

頭像
心靈捕手
默默耕耘的老師
默默耕耘的老師
文章: 8423
註冊時間: 2004-04-30 01:54
來自: Taiwan

Re: [問題]Mysql4升級至5使否會造成phpbb3.0.5錯誤?

文章 心靈捕手 »

oscerropper 寫:
心靈捕手 寫:
oscerropper 寫:Hi 心靈捕手

我的意思是說,目前我使用的虛擬主機商提供的php預設為 php4,虛擬主機使用者後台可以轉換 php5
我只要使用 php5,phpbb就無法使用,回覆文章時會出現「找不到指定主題」,或是,只要使用到帳號密碼確認的頁面,都無法登錄,確認後帳號密碼送出後還是回到輸入帳號密碼的頁面

不管是重新安裝時的畫面(輸入資料庫帳號、密碼、字串那一個頁面),或是在phpbb都一樣

這個問題是不是虛擬主機商的問題成分較大?php5目前我無法使用,一直都用php4來run phpBB
我以為:
此問題, 與轉換 PHP 5 無關; 而與升級 MySQL 5 有關.

參考連結:
http://218.161.28.134/phpBB3/viewtopic.php?f=36&t=24400
意思就是要先從mysql5升級摟?
php5不要跟mysql4先做搭配?
如果說, 您是租用虛擬主機的網站空間, 那麼系統升級的問題, 得請 "虛擬主機商" 支援.
否則, 如果您是使用個人主機, 而想升級的話, 那麼完全更新架站系統是比較建議的 (如下, 包含您的 phpBB 版本).
  • Apache 2.2.X 或 2.0.X
  • MySQL 5.1.X 或 5.0.X
  • PHP 5.3.0 或 5.2.X
  • phpBB 3.0.5
回到問題根本:
造成這類 (無法登入) 問題的原因, 不是 PHP 版本為何, 而是 MySQL 版本由 4 升級 5 所造成.

當然, 高興怎麼配, 沒有人可以限定, 只要論壇運作正常即可.
施比受有福,歡迎來信賜教,謝謝 & 再見!
祝福您 好運 ^_^
歡迎加入★★心靈捕手★★ :: 討論區!!
http://wang5555.hopto.org/phpBB3/
p.s. 奉老婆之命:在晚上十一點前,得關機睡覺!!!

頭像
oscerropper
星球公民
星球公民
文章: 197
註冊時間: 2004-12-21 17:56
來自: 興趣的黑洞

Re: [問題]Mysql4升級至5使否會造成phpbb3.0.5錯誤?

文章 oscerropper »

謝謝心靈捕手說明

不過我目前是使用 mysql 4.1.22,所以登錄不了的問題不是 mysql 版本問題
總而言之,我在請主機商先幫我測試

謝謝
●架設主機作業系統:Unix
●您的上網方式:虛擬主機。
●您安裝的程式:
Apache version 2.0.63
MySQL version 45.0.92-community
PHP version 5.2.14
Perl version 5.8.8
●您的 phpBB2 版本:phpBB 3.0.8。

頭像
心靈捕手
默默耕耘的老師
默默耕耘的老師
文章: 8423
註冊時間: 2004-04-30 01:54
來自: Taiwan

Re: [問題]Mysql4升級至5使否會造成phpbb3.0.5錯誤?

文章 心靈捕手 »

oscerropper 寫:謝謝心靈捕手說明

不過我目前是使用 mysql 4.1.22,所以登錄不了的問題不是 mysql 版本問題
總而言之,我在請主機商先幫我測試

謝謝
呵! 呵! :mrgreen:
既然如此, 一開始您的主題就設定錯誤了.

P.S.
抱歉! 鎖定.
施比受有福,歡迎來信賜教,謝謝 & 再見!
祝福您 好運 ^_^
歡迎加入★★心靈捕手★★ :: 討論區!!
http://wang5555.hopto.org/phpBB3/
p.s. 奉老婆之命:在晚上十一點前,得關機睡覺!!!

主題已鎖定

回到「架站」